Bug 143706 - New port: www/drupal6-panels - Drupal 6.x panels module
Summary: New port: www/drupal6-panels - Drupal 6.x panels module
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-09 19:00 UTC by Anderson S. Ferreira
Modified: 2010-02-10 14:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anderson S. Ferreira 2010-02-09 19:00:11 UTC
The Panels module allows a site administrator to create customized layouts for multiple uses. At its core it is a 
drag and drop content manager that lets you visually design a layout and place content within that layout. 
Integration with other systems allows you to create nodes that use this, landing pages that use this, and even 
override system pages such as taxonomy and the node page so that you can customize the layout of your site with very 
fine grained permissions.

Fix: 

---
Aviso de confidencialidade:

Esta mensagem da Empresa Brasileira de Pesquisa Agropecuária (Embrapa), 
empresa pública federal regida pelo disposto na Lei Federal nº 5.851, 
de 7 de dezembro de 1972, é enviada exclusivamente a seu destinatário 
e pode conter informações confidenciais, protegidas por sigilo profissional. 
Sua utilização desautorizada é ilegal e sujeita o infrator às penas da lei. 
Se você a recebeu indevidamente, queira, por gentileza, reenviá-la ao emitente, 
esclarecendo o equívoco.

Confidentiality note:

This message from Empresa Brasileira de Pesquisa Agropecuária (Embrapa), 
a government company established under Brazilian law (5.851/72), 
is directed exclusively to its addressee and may contain confidential data, 
protected under professional secrecy rules. Its unauthorized use is illegal 
and may subject the transgressor to the law's penalties. 
If you are not the addressee, please send it back, elucidating the failure.--r8RNbwV1QUb6dWnRkgSREUPHNQkuiuvwv3wbAt8b6zkIUD0j
Content-Type: text/plain; name="drupal6-panels.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="drupal6-panels.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	drupal6-panels
#	drupal6-panels/Makefile
#	drupal6-panels/distinfo
#	drupal6-panels/pkg-descr
#
echo c - drupal6-panels
mkdir -p drupal6-panels > /dev/null 2>&1
echo x - drupal6-panels/Makefile
sed 's/^X//' >drupal6-panels/Makefile << '289868899b84901e885c1b49cc53f579'
X# New ports collection makefile for:	drupal6-panels
X# Date created:		09 Feb 2010
X# Whom:			anderson@cnpm.embrapa.br	
X#
X# $FreeBSD: $
X#
X
XPORTNAME=	panels
XDISTVERSION=	6.x-3.3
XCATEGORIES=	www
XMASTER_SITES=	http://ftp.drupal.org/files/projects/
X
XMAINTAINER=	anderson@cnpm.embrapa.br
XCOMMENT=	Drupal 6.x panels module
X
XDRUPAL6_MODULE=	yes
X
XMODULE_DIRS=	translations templates plugins/task_handlers \
X		plugins/styles/corners plugins/styles \
X		plugins/layouts/twocol_stacked \
X		plugins/layouts/twocol_bricks \
X		plugins/layouts/twocol \
X		plugins/layouts/threecol_33_34_33_stacked \
X		plugins/layouts/threecol_33_34_33 \
X		plugins/layouts/threecol_25_50_25_stacked \
X		plugins/layouts/threecol_25_50_25 \
X		plugins/layouts/onecol \
X		plugins/layouts/flexible \
X		plugins/layouts plugins/cache \
X		plugins panels_node \
X		panels_mini/plugins/content_types \
X		panels_mini/plugins panels_mini \
X		panels_export js includes \
X		images help docs css
X
XMODULE_FILES=	css/panels-dashboard.css \
X		css/panels.css \
X		css/panels_admin.css \
X		css/panels_dnd.css \
X		css/panels_page.css \
X		docs/docs.inc \
X		docs/doxygen.css \
X		docs/sample_plugin_ct.inc \
X		panels.info \
X		panels.install \
X		panels.module \
X		panels2.doxy \
X		help/api.html \
X		help/display.html \
X		help/pane.html \
X		help/panels.help.ini \
X		help/plugin-layout.html \
X		help/plugin-style.html \
X		images/arrow-active.png \
X		images/arrow-down-light.png \
X		images/bg-content-modal.png \
X		images/bg-shade-dark.png \
X		images/bg-shade-light.png \
X		images/bg-shade-medium.png \
X		images/bg-shade-white-lrg.png \
X		images/blank.gif \
X		images/close.gif \
X		images/delete.png \
X		images/go-down.png \
X		images/go-right.png \
X		images/go-up.png \
X		images/icon-addcontent.png \
X		images/icon-cache.png \
X		images/icon-configure.png \
X		images/icon-delete.png \
X		images/icon-draggable.png \
X		images/no-icon.png \
X		images/icon-hidepane.png \
X		images/icon-showpane.png \
X		images/portlet-collapsed.png \
X		images/portlet-expanded.png \
X		images/screenshot-1.jpg \
X		images/screenshot-2.jpg \
X		images/screenshot-3.jpg \
X		images/screenshot-4.jpg \
X		images/sky.png \
X		images/sprite.png \
X		images/throbber.gif \
X		images/user-trash.png \
X		includes/callbacks.inc \
X		includes/common.inc \
X		includes/display-edit.inc \
X		includes/display-layout.inc \
X		includes/display-render.inc \
X		includes/plugins.inc \
X		js/display_editor.js \
X		js/layout.js \
X		js/panels-base.js \
X		js/panels.js \
X		panels_export/panels_export.module \
X		panels_mini/plugins/content_types/icon_panels_mini.png \
X		panels_mini/plugins/content_types/panels_mini.inc \
X		panels_mini/panels_mini.admin.inc \
X		panels_mini/panels_mini.info \
X		panels_mini/panels_mini.install \
X		panels_mini/panels_mini.module \
X		panels_node/panels_node.info \
X		panels_node/panels_node.install \
X		panels_node/panels_node.module \
X		plugins/cache/simple.inc \
X		plugins/layouts/flexible/flexible-admin.css \
X		plugins/layouts/flexible/flexible-admin.js \
X		plugins/layouts/flexible/flexible.css \
X		plugins/layouts/flexible/flexible.inc \
X		plugins/layouts/flexible/flexible.png \
X		plugins/layouts/flexible/grippie-vertical.png \
X		plugins/layouts/onecol/onecol.css \
X		plugins/layouts/onecol/onecol.inc \
X		plugins/layouts/onecol/onecol.png \
X		plugins/layouts/onecol/panels-onecol.tpl.php \
X		plugins/layouts/threecol_25_50_25/panels-threecol-25-50-25.tpl.php \
X		plugins/layouts/threecol_25_50_25/threecol_25_50_25.css \
X		plugins/layouts/threecol_25_50_25/threecol_25_50_25.inc \
X		plugins/layouts/threecol_25_50_25/threecol_25_50_25.png \
X		plugins/layouts/threecol_25_50_25_stacked/panels-threecol-25-50-25-stacked.tpl.php \
X		plugins/layouts/threecol_25_50_25_stacked/threecol_25_50_25_stacked.css \
X		plugins/layouts/threecol_25_50_25_stacked/threecol_25_50_25_stacked.inc \
X		plugins/layouts/threecol_25_50_25_stacked/threecol_25_50_25_stacked.png \
X		plugins/layouts/threecol_33_34_33/panels-threecol-33-34-33.tpl.php \
X		plugins/layouts/threecol_33_34_33/threecol_33_34_33.css \
X		plugins/layouts/threecol_33_34_33/threecol_33_34_33.inc \
X		plugins/layouts/threecol_33_34_33/threecol_33_34_33.png \
X		plugins/layouts/threecol_33_34_33_stacked/panels-threecol-33-34-33-stacked.tpl.php \
X		plugins/layouts/threecol_33_34_33_stacked/threecol_33_34_33_stacked.css \
X		plugins/layouts/threecol_33_34_33_stacked/threecol_33_34_33_stacked.inc \
X		plugins/layouts/threecol_33_34_33_stacked/threecol_33_34_33_stacked.png \
X		plugins/layouts/twocol/panels-twocol.tpl.php \
X		plugins/layouts/twocol/twocol.css \
X		plugins/layouts/twocol/twocol.inc \
X		plugins/layouts/twocol/twocol.png \
X		plugins/layouts/twocol_bricks/panels-twocol-bricks.tpl.php \
X		plugins/layouts/twocol_bricks/twocol_bricks.css \
X		plugins/layouts/twocol_bricks/twocol_bricks.inc \
X		plugins/layouts/twocol_bricks/twocol_bricks.png \
X		plugins/layouts/twocol_stacked/panels-twocol-stacked.tpl.php \
X		plugins/layouts/twocol_stacked/twocol_stacked.css \
X		plugins/layouts/twocol_stacked/twocol_stacked.inc \
X		plugins/layouts/twocol_stacked/twocol_stacked.png \
X		plugins/styles/corners/corner-bits.png \
X		plugins/styles/corners/panels-rounded-corners-box.tpl.php \
X		plugins/styles/corners/rounded_corners.inc \
X		plugins/styles/corners/shadow-b.png \
X		plugins/styles/corners/shadow-l.png \
X		plugins/styles/corners/shadow-r.png \
X		plugins/styles/corners/shadow-t.png \
X		plugins/styles/block.inc \
X		plugins/styles/default.inc \
X		plugins/styles/list.inc \
X		plugins/styles/naked.inc \
X		plugins/task_handlers/panel_context.inc \
X		templates/panels-dashboard.tpl.php \
X		templates/panels-pane.tpl.php \
X		translations/panels.de.po \
X		translations/panels.fr.po \
X		translations/panels.ja.po \
X		translations/panels.pot \
X
XDOC_FILES=	D6UPDATE.txt API.txt CHANGELOG.txt INSTALL.txt \
X		KNOWN_ISSUES.txt README.txt TODO.txt LICENSE.txt	
X
X.include <bsd.port.pre.mk>
X.include "${.CURDIR}/../../www/drupal5/bsd.drupal.mk"
X.include <bsd.port.post.mk>
289868899b84901e885c1b49cc53f579
echo x - drupal6-panels/distinfo
sed 's/^X//' >drupal6-panels/distinfo << '02f043fb69a2878413cccc6761d2809d'
XMD5 (drupal/panels-6.x-3.3.tar.gz) = 46285850574246604750def846433e05
XSHA256 (drupal/panels-6.x-3.3.tar.gz) = d0fc16e70c84fd608b29ce4ee724cbcb76342cbc64e0378b3f8bba09d5859027
XSIZE (drupal/panels-6.x-3.3.tar.gz) = 348175
02f043fb69a2878413cccc6761d2809d
echo x - drupal6-panels/pkg-descr
sed 's/^X//' >drupal6-panels/pkg-descr << 'f4b990a52d1d40c539c7a3426234f5b7'
XThe Panels module allows a site administrator to create customized layouts for multiple uses. 
XAt its core it is a drag and drop content manager that lets you visually design a layout and place content within that layout. 
XIntegration with other systems allows you to create nodes that use this, landing pages that use this, 
Xand even override system pages such as taxonomy and the node page so that you can customize the layout of i
Xyour site with very fine grained permissions.
X
XWWW: http://drupal.org/project/panels
f4b990a52d1d40c539c7a3426234f5b7
exit
Comment 1 Edwin Groothuis freebsd_committer 2010-02-09 19:00:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2010-02-10 14:43:34 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!
Comment 3 dfilter service freebsd_committer 2010-02-10 14:43:54 UTC
miwi        2010-02-10 14:43:45 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/drupal6-panels   Makefile distinfo pkg-descr 
  Log:
  The Panels module allows a site administrator to create customized layouts
  for multiple uses. At its core it is a drag and drop content manager that
  let's you visually design a layout and place content within that layout.
  Integration with other systems allows you to create nodes that use this,
  landing pages that use this, and even override system pages such as taxonomy
  and the node page so that you can customize the layout of if your site with
  very fine grained permissions.
  
  WWW: http://drupal.org/project/panels
  
  PR:             ports/143706
  Submitted by:   Anderson Soares Ferreira <anderson@cnpm.embrapa.br>
  
  Revision  Changes    Path
  1.2549    +1 -0      ports/www/Makefile
  1.1       +168 -0    ports/www/drupal6-panels/Makefile (new)
  1.1       +3 -0      ports/www/drupal6-panels/distinfo (new)
  1.1       +9 -0      ports/www/drupal6-panels/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"